## com.trilead.ssh2.crypto
Class CryptoWishList

    java.lang.Object
      com.trilead.ssh2.crypto.CryptoWishList

    public class CryptoWishList

extends java.lang.Object

CryptoWishList.

Field Summary
`java.lang.String[]` `c2s_enc_algos`
`java.lang.String[]` `c2s_mac_algos`
`java.lang.String[]` `kexAlgorithms`
`java.lang.String[]` `s2c_enc_algos`
`java.lang.String[]` `s2c_mac_algos`
`java.lang.String[]` `serverHostKeyAlgorithms`

Constructor Summary
`CryptoWishList()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kexAlgorithms

    public java.lang.String[] kexAlgorithms

### serverHostKeyAlgorithms

    public java.lang.String[] serverHostKeyAlgorithms

### c2s_enc_algos

    public java.lang.String[] c2s_enc_algos

### s2c_enc_algos

    public java.lang.String[] s2c_enc_algos

### c2s_mac_algos

    public java.lang.String[] c2s_mac_algos

### s2c_mac_algos

    public java.lang.String[] s2c_mac_algos

Constructor Detail

### CryptoWishList

    public CryptoWishList()